package net.sf.jasperreports.engine;

public interface JRExpressionChunk extends JRCloneable {
  public static final byte TYPE_TEXT = 1;
  
  public static final byte TYPE_PARAMETER = 2;
  
  public static final byte TYPE_FIELD = 3;
  
  public static final byte TYPE_VARIABLE = 4;
  
  public static final byte TYPE_RESOURCE = 5;
  
  byte getType();
  
  String getText();
}
